# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::FrameSort Class Reference

Frame type Class.

`#include <common.h>`

List of all members.

## Public Member Functions

- FrameSort ()
- void SetIntra ()
- void SetInter ()
- void SetNonRef ()
- void SetRef ()
- bool IsInter () const
- bool IsIntra () const
- bool IsRef () const
- bool IsNonRef () const
- void SetIntraNonRef ()
- void SetIntraRef ()
- void SetInterNonRef ()
- void SetInterRef ()
- bool IsIntraNonRef () const
- bool IsIntraRef () const
- bool IsInterNonRef () const
- bool IsInterRef () const
- void Clear ()

## Static Public Member Functions

- static FrameSort IntraRefFrameSort ()
- static FrameSort InterRefFrameSort ()
- static FrameSort IntraNonRefFrameSort ()
- static FrameSort InterNonRefFrameSort ()

## Private Attributes

- unsigned char fs

## Constructor & Destructor Documentation

dirac::FrameSort::FrameSort | ( |  | ) | `[inline]`

## Member Function Documentation

void dirac::FrameSort::Clear | ( |  | ) | `[inline]`

static FrameSort dirac::FrameSort::InterNonRefFrameSort | ( |  | ) | `[inline, static]`

static FrameSort dirac::FrameSort::InterRefFrameSort | ( |  | ) | `[inline, static]`

static FrameSort dirac::FrameSort::IntraNonRefFrameSort | ( |  | ) | `[inline, static]`

static FrameSort dirac::FrameSort::IntraRefFrameSort | ( |  | ) | `[inline, static]`

bool dirac::FrameSort::IsInter | ( |  | ) | const`[inline]`

bool dirac::FrameSort::IsInterNonRef | ( |  | ) | const`[inline]`

bool dirac::FrameSort::IsInterRef | ( |  | ) | const`[inline]`

bool dirac::FrameSort::IsIntra | ( |  | ) | const`[inline]`

bool dirac::FrameSort::IsIntraNonRef | ( |  | ) | const`[inline]`

bool dirac::FrameSort::IsIntraRef | ( |  | ) | const`[inline]`

bool dirac::FrameSort::IsNonRef | ( |  | ) | const`[inline]`

bool dirac::FrameSort::IsRef | ( |  | ) | const`[inline]`

void dirac::FrameSort::SetInter | ( |  | ) | `[inline]`

void dirac::FrameSort::SetInterNonRef | ( |  | ) | `[inline]`

void dirac::FrameSort::SetInterRef | ( |  | ) | `[inline]`

void dirac::FrameSort::SetIntra | ( |  | ) | `[inline]`

void dirac::FrameSort::SetIntraNonRef | ( |  | ) | `[inline]`

void dirac::FrameSort::SetIntraRef | ( |  | ) | `[inline]`

void dirac::FrameSort::SetNonRef | ( |  | ) | `[inline]`

void dirac::FrameSort::SetRef | ( |  | ) | `[inline]`

## Member Data Documentation

unsigned char dirac::FrameSort::fs`[private]`

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.